/************************************************************************
*																		*
*							 68. .							*
*																		*
* : fnt0.c		 : 03.10.2013.					*
*   . (sapegoal@mail.ru)						*
*																		*
************************************************************************/

#include "fonts.h"
#include "primitive.h"


#define ASYM20		904
#define ASYM30		ASYM20+128
#define ASYM40		ASYM30+128
#define ASYM50		ASYM40+128
#define ASYM60		ASYM50+128
#define ASYM70		ASYM60+128
#define ASYM80		ASYM70+128
#define ASYM90		ASYM80+128
#define ASYMA0		ASYM90+128
#define ASYMB0		ASYMA0+128
#define ASYMC0		ASYMB0+128
#define ASYMD0		ASYMC0+128
#define ASYME0		ASYMD0+128
#define ASYMF0		ASYME0+128



//  8
extern const uint8_t  L1190001[];
//
const FONT_FLASH    GOLFont6x8 = {FNTFLASH,L1190001};


const uint8_t L1190001[] =
{
    0x03,	// fontID;				// User assigned value
    0,    	// res1   : 4;			// Reserved for future use (must be set to 0).
			// orient : 2;			// Orientation
			// res2   : 2;			// Reserved for future use (must be set to 0).
	0x20,
	0x00,	// firstChar;			// Character code of first character (e.g. 32).
	0xFF,
	0x00,	// lastChar;			// Character code of last character in font (e.g. 3006).
    8,		// height;				// Font characters height in pixels.
	0,		// reserved;			// Reserved for future use (must be set to 0).


 6,((ASYM20+0)&0xFF),((ASYM20+0)>>8)&0xFF,0,			// 20
 6,((ASYM20+8)&0xFF),((ASYM20+8)>>8)&0xFF,0,
 6,((ASYM20+16)&0xFF),((ASYM20+16)>>8)&0xFF,0,
 6,((ASYM20+24)&0xFF),((ASYM20+24)>>8)&0xFF,0,
 6,((ASYM20+32)&0xFF),((ASYM20+32)>>8)&0xFF,0,
 6,((ASYM20+40)&0xFF),((ASYM20+40)>>8)&0xFF,0,
 6,((ASYM20+48)&0xFF),((ASYM20+48)>>8)&0xFF,0,
 6,((ASYM20+56)&0xFF),((ASYM20+56)>>8)&0xFF,0,
 6,((ASYM20+64)&0xFF),((ASYM20+64)>>8)&0xFF,0,
 6,((ASYM20+72)&0xFF),((ASYM20+72)>>8)&0xFF,0,
 6,((ASYM20+80)&0xFF),((ASYM20+80)>>8)&0xFF,0,
 6,((ASYM20+88)&0xFF),((ASYM20+88)>>8)&0xFF,0,
 6,((ASYM20+96)&0xFF),((ASYM20+96)>>8)&0xFF,0,
 6,((ASYM20+104)&0xFF),((ASYM20+104)>>8)&0xFF,0,
 6,((ASYM20+112)&0xFF),((ASYM20+112)>>8)&0xFF,0,
 6,((ASYM20+120)&0xFF),((ASYM20+120)>>8)&0xFF,0,
 6,((ASYM30+0)&0xFF),((ASYM30+0)>>8)&0xFF,0,			// 30
 6,((ASYM30+8)&0xFF),((ASYM30+8)>>8)&0xFF,0,
 6,((ASYM30+16)&0xFF),((ASYM30+16)>>8)&0xFF,0,
 6,((ASYM30+24)&0xFF),((ASYM30+24)>>8)&0xFF,0,
 6,((ASYM30+32)&0xFF),((ASYM30+32)>>8)&0xFF,0,
 6,((ASYM30+40)&0xFF),((ASYM30+40)>>8)&0xFF,0,
 6,((ASYM30+48)&0xFF),((ASYM30+48)>>8)&0xFF,0,
 6,((ASYM30+56)&0xFF),((ASYM30+56)>>8)&0xFF,0,
 6,((ASYM30+64)&0xFF),((ASYM30+64)>>8)&0xFF,0,
 6,((ASYM30+72)&0xFF),((ASYM30+72)>>8)&0xFF,0,
 6,((ASYM30+80)&0xFF),((ASYM30+80)>>8)&0xFF,0,
 6,((ASYM30+88)&0xFF),((ASYM30+88)>>8)&0xFF,0,
 6,((ASYM30+96)&0xFF),((ASYM30+96)>>8)&0xFF,0,
 6,((ASYM30+104)&0xFF),((ASYM30+104)>>8)&0xFF,0,
 6,((ASYM30+112)&0xFF),((ASYM30+112)>>8)&0xFF,0,
 6,((ASYM30+120)&0xFF),((ASYM30+120)>>8)&0xFF,0,
 6,((ASYM40+0)&0xFF),((ASYM40+0)>>8)&0xFF,0,			// 40
 6,((ASYM40+8)&0xFF),((ASYM40+8)>>8)&0xFF,0,
 6,((ASYM40+16)&0xFF),((ASYM40+16)>>8)&0xFF,0,
 6,((ASYM40+24)&0xFF),((ASYM40+24)>>8)&0xFF,0,
 6,((ASYM40+32)&0xFF),((ASYM40+32)>>8)&0xFF,0,
 6,((ASYM40+40)&0xFF),((ASYM40+40)>>8)&0xFF,0,
 6,((ASYM40+48)&0xFF),((ASYM40+48)>>8)&0xFF,0,
 6,((ASYM40+56)&0xFF),((ASYM40+56)>>8)&0xFF,0,
 6,((ASYM40+64)&0xFF),((ASYM40+64)>>8)&0xFF,0,
 6,((ASYM40+72)&0xFF),((ASYM40+72)>>8)&0xFF,0,
 6,((ASYM40+80)&0xFF),((ASYM40+80)>>8)&0xFF,0,
 6,((ASYM40+88)&0xFF),((ASYM40+88)>>8)&0xFF,0,
 6,((ASYM40+96)&0xFF),((ASYM40+96)>>8)&0xFF,0,
 6,((ASYM40+104)&0xFF),((ASYM40+104)>>8)&0xFF,0,
 6,((ASYM40+112)&0xFF),((ASYM40+112)>>8)&0xFF,0,
 6,((ASYM40+120)&0xFF),((ASYM40+120)>>8)&0xFF,0,
 6,((ASYM50+0)&0xFF),((ASYM50+0)>>8)&0xFF,0,			// 50
 6,((ASYM50+8)&0xFF),((ASYM50+8)>>8)&0xFF,0,
 6,((ASYM50+16)&0xFF),((ASYM50+16)>>8)&0xFF,0,
 6,((ASYM50+24)&0xFF),((ASYM50+24)>>8)&0xFF,0,
 6,((ASYM50+32)&0xFF),((ASYM50+32)>>8)&0xFF,0,
 6,((ASYM50+40)&0xFF),((ASYM50+40)>>8)&0xFF,0,
 6,((ASYM50+48)&0xFF),((ASYM50+48)>>8)&0xFF,0,
 6,((ASYM50+56)&0xFF),((ASYM50+56)>>8)&0xFF,0,
 6,((ASYM50+64)&0xFF),((ASYM50+64)>>8)&0xFF,0,
 6,((ASYM50+72)&0xFF),((ASYM50+72)>>8)&0xFF,0,
 6,((ASYM50+80)&0xFF),((ASYM50+80)>>8)&0xFF,0,
 6,((ASYM50+88)&0xFF),((ASYM50+88)>>8)&0xFF,0,
 6,((ASYM50+96)&0xFF),((ASYM50+96)>>8)&0xFF,0,
 6,((ASYM50+104)&0xFF),((ASYM50+104)>>8)&0xFF,0,
 6,((ASYM50+112)&0xFF),((ASYM50+112)>>8)&0xFF,0,
 6,((ASYM50+120)&0xFF),((ASYM50+120)>>8)&0xFF,0,
 6,((ASYM60+0)&0xFF),((ASYM60+0)>>8)&0xFF,0,			// 60
 6,((ASYM60+8)&0xFF),((ASYM60+8)>>8)&0xFF,0,
 6,((ASYM60+16)&0xFF),((ASYM60+16)>>8)&0xFF,0,
 6,((ASYM60+24)&0xFF),((ASYM60+24)>>8)&0xFF,0,
 6,((ASYM60+32)&0xFF),((ASYM60+32)>>8)&0xFF,0,
 6,((ASYM60+40)&0xFF),((ASYM60+40)>>8)&0xFF,0,
 6,((ASYM60+48)&0xFF),((ASYM60+48)>>8)&0xFF,0,
 6,((ASYM60+56)&0xFF),((ASYM60+56)>>8)&0xFF,0,
 6,((ASYM60+64)&0xFF),((ASYM60+64)>>8)&0xFF,0,
 6,((ASYM60+72)&0xFF),((ASYM60+72)>>8)&0xFF,0,
 6,((ASYM60+80)&0xFF),((ASYM60+80)>>8)&0xFF,0,
 6,((ASYM60+88)&0xFF),((ASYM60+88)>>8)&0xFF,0,
 6,((ASYM60+96)&0xFF),((ASYM60+96)>>8)&0xFF,0,
 6,((ASYM60+104)&0xFF),((ASYM60+104)>>8)&0xFF,0,
 6,((ASYM60+112)&0xFF),((ASYM60+112)>>8)&0xFF,0,
 6,((ASYM60+120)&0xFF),((ASYM60+120)>>8)&0xFF,0,
 6,((ASYM70+0)&0xFF),((ASYM70+0)>>8)&0xFF,0,			// 70
 6,((ASYM70+8)&0xFF),((ASYM70+8)>>8)&0xFF,0,
 6,((ASYM70+16)&0xFF),((ASYM70+16)>>8)&0xFF,0,
 6,((ASYM70+24)&0xFF),((ASYM70+24)>>8)&0xFF,0,
 6,((ASYM70+32)&0xFF),((ASYM70+32)>>8)&0xFF,0,
 6,((ASYM70+40)&0xFF),((ASYM70+40)>>8)&0xFF,0,
 6,((ASYM70+48)&0xFF),((ASYM70+48)>>8)&0xFF,0,
 6,((ASYM70+56)&0xFF),((ASYM70+56)>>8)&0xFF,0,
 6,((ASYM70+64)&0xFF),((ASYM70+64)>>8)&0xFF,0,
 6,((ASYM70+72)&0xFF),((ASYM70+72)>>8)&0xFF,0,
 6,((ASYM70+80)&0xFF),((ASYM70+80)>>8)&0xFF,0,
 6,((ASYM70+88)&0xFF),((ASYM70+88)>>8)&0xFF,0,
 6,((ASYM70+96)&0xFF),((ASYM70+96)>>8)&0xFF,0,
 6,((ASYM70+104)&0xFF),((ASYM70+104)>>8)&0xFF,0,
 6,((ASYM70+112)&0xFF),((ASYM70+112)>>8)&0xFF,0,
 6,((ASYM70+120)&0xFF),((ASYM70+120)>>8)&0xFF,0,
 6,((ASYM80+0)&0xFF),((ASYM80+0)>>8)&0xFF,0,			// 80
 6,((ASYM80+8)&0xFF),((ASYM80+8)>>8)&0xFF,0,
 6,((ASYM80+16)&0xFF),((ASYM80+16)>>8)&0xFF,0,
 6,((ASYM80+24)&0xFF),((ASYM80+24)>>8)&0xFF,0,
 6,((ASYM80+32)&0xFF),((ASYM80+32)>>8)&0xFF,0,
 6,((ASYM80+40)&0xFF),((ASYM80+40)>>8)&0xFF,0,
 6,((ASYM80+48)&0xFF),((ASYM80+48)>>8)&0xFF,0,
 6,((ASYM80+56)&0xFF),((ASYM80+56)>>8)&0xFF,0,
 6,((ASYM80+64)&0xFF),((ASYM80+64)>>8)&0xFF,0,
 6,((ASYM80+72)&0xFF),((ASYM80+72)>>8)&0xFF,0,
 6,((ASYM80+80)&0xFF),((ASYM80+80)>>8)&0xFF,0,
 6,((ASYM80+88)&0xFF),((ASYM80+88)>>8)&0xFF,0,
 6,((ASYM80+96)&0xFF),((ASYM80+96)>>8)&0xFF,0,
 6,((ASYM80+104)&0xFF),((ASYM80+104)>>8)&0xFF,0,
 6,((ASYM80+112)&0xFF),((ASYM80+112)>>8)&0xFF,0,
 6,((ASYM80+120)&0xFF),((ASYM80+120)>>8)&0xFF,0,
 6,((ASYM90+0)&0xFF),((ASYM90+0)>>8)&0xFF,0,			// 90
 6,((ASYM90+8)&0xFF),((ASYM90+8)>>8)&0xFF,0,
 6,((ASYM90+16)&0xFF),((ASYM90+16)>>8)&0xFF,0,
 6,((ASYM90+24)&0xFF),((ASYM90+24)>>8)&0xFF,0,
 6,((ASYM90+32)&0xFF),((ASYM90+32)>>8)&0xFF,0,
 6,((ASYM90+40)&0xFF),((ASYM90+40)>>8)&0xFF,0,
 6,((ASYM90+48)&0xFF),((ASYM90+48)>>8)&0xFF,0,
 6,((ASYM90+56)&0xFF),((ASYM90+56)>>8)&0xFF,0,
 6,((ASYM90+64)&0xFF),((ASYM90+64)>>8)&0xFF,0,
 6,((ASYM90+72)&0xFF),((ASYM90+72)>>8)&0xFF,0,
 6,((ASYM90+80)&0xFF),((ASYM90+80)>>8)&0xFF,0,
 6,((ASYM90+88)&0xFF),((ASYM90+88)>>8)&0xFF,0,
 6,((ASYM90+96)&0xFF),((ASYM90+96)>>8)&0xFF,0,
 6,((ASYM90+104)&0xFF),((ASYM90+104)>>8)&0xFF,0,
 6,((ASYM90+112)&0xFF),((ASYM90+112)>>8)&0xFF,0,
 6,((ASYM90+120)&0xFF),((ASYM90+120)>>8)&0xFF,0,
 6,((ASYMA0+0)&0xFF),((ASYMA0+0)>>8)&0xFF,0,			// A0
 6,((ASYMA0+8)&0xFF),((ASYMA0+8)>>8)&0xFF,0,
 6,((ASYMA0+16)&0xFF),((ASYMA0+16)>>8)&0xFF,0,
 6,((ASYMA0+24)&0xFF),((ASYMA0+24)>>8)&0xFF,0,
 6,((ASYMA0+32)&0xFF),((ASYMA0+32)>>8)&0xFF,0,
 6,((ASYMA0+40)&0xFF),((ASYMA0+40)>>8)&0xFF,0,
 6,((ASYMA0+48)&0xFF),((ASYMA0+48)>>8)&0xFF,0,
 6,((ASYMA0+56)&0xFF),((ASYMA0+56)>>8)&0xFF,0,
 6,((ASYMA0+64)&0xFF),((ASYMA0+64)>>8)&0xFF,0,
 6,((ASYMA0+72)&0xFF),((ASYMA0+72)>>8)&0xFF,0,
 6,((ASYMA0+80)&0xFF),((ASYMA0+80)>>8)&0xFF,0,
 6,((ASYMA0+88)&0xFF),((ASYMA0+88)>>8)&0xFF,0,
 6,((ASYMA0+96)&0xFF),((ASYMA0+96)>>8)&0xFF,0,
 6,((ASYMA0+104)&0xFF),((ASYMA0+104)>>8)&0xFF,0,
 6,((ASYMA0+112)&0xFF),((ASYMA0+112)>>8)&0xFF,0,
 6,((ASYMA0+120)&0xFF),((ASYMA0+120)>>8)&0xFF,0,
 6,((ASYMB0+0)&0xFF),((ASYMB0+0)>>8)&0xFF,0,			// B0
 6,((ASYMB0+8)&0xFF),((ASYMB0+8)>>8)&0xFF,0,
 6,((ASYMB0+16)&0xFF),((ASYMB0+16)>>8)&0xFF,0,
 6,((ASYMB0+24)&0xFF),((ASYMB0+24)>>8)&0xFF,0,
 6,((ASYMB0+32)&0xFF),((ASYMB0+32)>>8)&0xFF,0,
 6,((ASYMB0+40)&0xFF),((ASYMB0+40)>>8)&0xFF,0,
 6,((ASYMB0+48)&0xFF),((ASYMB0+48)>>8)&0xFF,0,
 6,((ASYMB0+56)&0xFF),((ASYMB0+56)>>8)&0xFF,0,
 6,((ASYMB0+64)&0xFF),((ASYMB0+64)>>8)&0xFF,0,
 6,((ASYMB0+72)&0xFF),((ASYMB0+72)>>8)&0xFF,0,
 6,((ASYMB0+80)&0xFF),((ASYMB0+80)>>8)&0xFF,0,
 6,((ASYMB0+88)&0xFF),((ASYMB0+88)>>8)&0xFF,0,
 6,((ASYMB0+96)&0xFF),((ASYMB0+96)>>8)&0xFF,0,
 6,((ASYMB0+104)&0xFF),((ASYMB0+104)>>8)&0xFF,0,
 6,((ASYMB0+112)&0xFF),((ASYMB0+112)>>8)&0xFF,0,
 6,((ASYMB0+120)&0xFF),((ASYMB0+120)>>8)&0xFF,0,
 6,((ASYMC0+0)&0xFF),((ASYMC0+0)>>8)&0xFF,0,			// C0
 6,((ASYMC0+8)&0xFF),((ASYMC0+8)>>8)&0xFF,0,
 6,((ASYMC0+16)&0xFF),((ASYMC0+16)>>8)&0xFF,0,
 6,((ASYMC0+24)&0xFF),((ASYMC0+24)>>8)&0xFF,0,
 6,((ASYMC0+32)&0xFF),((ASYMC0+32)>>8)&0xFF,0,
 6,((ASYMC0+40)&0xFF),((ASYMC0+40)>>8)&0xFF,0,
 6,((ASYMC0+48)&0xFF),((ASYMC0+48)>>8)&0xFF,0,
 6,((ASYMC0+56)&0xFF),((ASYMC0+56)>>8)&0xFF,0,
 6,((ASYMC0+64)&0xFF),((ASYMC0+64)>>8)&0xFF,0,
 6,((ASYMC0+72)&0xFF),((ASYMC0+72)>>8)&0xFF,0,
 6,((ASYMC0+80)&0xFF),((ASYMC0+80)>>8)&0xFF,0,
 6,((ASYMC0+88)&0xFF),((ASYMC0+88)>>8)&0xFF,0,
 6,((ASYMC0+96)&0xFF),((ASYMC0+96)>>8)&0xFF,0,
 6,((ASYMC0+104)&0xFF),((ASYMC0+104)>>8)&0xFF,0,
 6,((ASYMC0+112)&0xFF),((ASYMC0+112)>>8)&0xFF,0,
 6,((ASYMC0+120)&0xFF),((ASYMC0+120)>>8)&0xFF,0,
 6,((ASYMD0+0)&0xFF),((ASYMD0+0)>>8)&0xFF,0,			// D0
 6,((ASYMD0+8)&0xFF),((ASYMD0+8)>>8)&0xFF,0,
 6,((ASYMD0+16)&0xFF),((ASYMD0+16)>>8)&0xFF,0,
 6,((ASYMD0+24)&0xFF),((ASYMD0+24)>>8)&0xFF,0,
 6,((ASYMD0+32)&0xFF),((ASYMD0+32)>>8)&0xFF,0,
 6,((ASYMD0+40)&0xFF),((ASYMD0+40)>>8)&0xFF,0,
 6,((ASYMD0+48)&0xFF),((ASYMD0+48)>>8)&0xFF,0,
 6,((ASYMD0+56)&0xFF),((ASYMD0+56)>>8)&0xFF,0,
 6,((ASYMD0+64)&0xFF),((ASYMD0+64)>>8)&0xFF,0,
 6,((ASYMD0+72)&0xFF),((ASYMD0+72)>>8)&0xFF,0,
 6,((ASYMD0+80)&0xFF),((ASYMD0+80)>>8)&0xFF,0,
 6,((ASYMD0+88)&0xFF),((ASYMD0+88)>>8)&0xFF,0,
 6,((ASYMD0+96)&0xFF),((ASYMD0+96)>>8)&0xFF,0,
 6,((ASYMD0+104)&0xFF),((ASYMD0+104)>>8)&0xFF,0,
 6,((ASYMD0+112)&0xFF),((ASYMD0+112)>>8)&0xFF,0,
 6,((ASYMD0+120)&0xFF),((ASYMD0+120)>>8)&0xFF,0,
 6,((ASYME0+0)&0xFF),((ASYME0+0)>>8)&0xFF,0,			// E0
 6,((ASYME0+8)&0xFF),((ASYME0+8)>>8)&0xFF,0,
 6,((ASYME0+16)&0xFF),((ASYME0+16)>>8)&0xFF,0,
 6,((ASYME0+24)&0xFF),((ASYME0+24)>>8)&0xFF,0,
 6,((ASYME0+32)&0xFF),((ASYME0+32)>>8)&0xFF,0,
 6,((ASYME0+40)&0xFF),((ASYME0+40)>>8)&0xFF,0,
 6,((ASYME0+48)&0xFF),((ASYME0+48)>>8)&0xFF,0,
 6,((ASYME0+56)&0xFF),((ASYME0+56)>>8)&0xFF,0,
 6,((ASYME0+64)&0xFF),((ASYME0+64)>>8)&0xFF,0,
 6,((ASYME0+72)&0xFF),((ASYME0+72)>>8)&0xFF,0,
 6,((ASYME0+80)&0xFF),((ASYME0+80)>>8)&0xFF,0,
 6,((ASYME0+88)&0xFF),((ASYME0+88)>>8)&0xFF,0,
 6,((ASYME0+96)&0xFF),((ASYME0+96)>>8)&0xFF,0,
 6,((ASYME0+104)&0xFF),((ASYME0+104)>>8)&0xFF,0,
 6,((ASYME0+112)&0xFF),((ASYME0+112)>>8)&0xFF,0,
 6,((ASYME0+120)&0xFF),((ASYME0+120)>>8)&0xFF,0,
 6,((ASYMF0+0)&0xFF),((ASYMF0+0)>>8)&0xFF,0,			// F0
 6,((ASYMF0+8)&0xFF),((ASYMF0+8)>>8)&0xFF,0,
 6,((ASYMF0+16)&0xFF),((ASYMF0+16)>>8)&0xFF,0,
 6,((ASYMF0+24)&0xFF),((ASYMF0+24)>>8)&0xFF,0,
 6,((ASYMF0+32)&0xFF),((ASYMF0+32)>>8)&0xFF,0,
 6,((ASYMF0+40)&0xFF),((ASYMF0+40)>>8)&0xFF,0,
 6,((ASYMF0+48)&0xFF),((ASYMF0+48)>>8)&0xFF,0,
 6,((ASYMF0+56)&0xFF),((ASYMF0+56)>>8)&0xFF,0,
 6,((ASYMF0+64)&0xFF),((ASYMF0+64)>>8)&0xFF,0,
 6,((ASYMF0+72)&0xFF),((ASYMF0+72)>>8)&0xFF,0,
 6,((ASYMF0+80)&0xFF),((ASYMF0+80)>>8)&0xFF,0,
 6,((ASYMF0+88)&0xFF),((ASYMF0+88)>>8)&0xFF,0,
 6,((ASYMF0+96)&0xFF),((ASYMF0+96)>>8)&0xFF,0,
 6,((ASYMF0+104)&0xFF),((ASYMF0+104)>>8)&0xFF,0,
 6,((ASYMF0+112)&0xFF),((ASYMF0+112)>>8)&0xFF,0,
 6,((ASYMF0+120)&0xFF),((ASYMF0+120)>>8)&0xFF,0,


//    020
________,
________,
________,
________,
________,
________,
________,
________,

// 21
________,
________,
________,
_XXXX_X_,
________,
________,
________,
________,
// 22
________,
________,
_XX_____,
________,
_XX_____,
________,
________,
________,
// 23
__X__X__,
_XXXXXX_,
__X__X__,
__X__X__,
_XXXXXX_,
__X__X__,
________,
________,
// 24
________,
__X__X__,
_X_X_X__,
XXXXXXX_,
_X_X_X__,
_X__X___,
________,
________,
// 25
_XX___X_,
_XX__X__,
____X___,
___X____,
__X__XX_,
_X___XX_,
________,
________,
// 26
_____X__,
__X_XXX_,
_X_XX_X_,
__X_XXX_,
_____X__,
____X_X_,
________,
________,
// 27
________,
________,
__X_____,
XX______,
________,
________,
________,
________,
// 28
________,
__XXX___,
_X___X__,
X_____X_,
________,
________,
________,
________,
// 29
________,
X_____X_,
_X___X__,
__XXX___,
________,
________,
________,
________,
// 2a
___X____,
_X_X_X__,
__XXX___,
__XXX___,
_X_X_X__,
___X____,
________,
________,
// 2b
________,
___X____,
___X____,
_XXXXX__,
___X____,
___X____,
________,
________,
// 2c
________,
_______X,
_____XX_,
________,
________,
________,
________,
________,
// 2d
________,
___X____,
___X____,
___X____,
___X____,
________,
________,
________,
// 2e
________,
_____XX_,
_____XX_,
________,
________,
________,
________,
________,
// 2f
______X_,
_____X__,
____X___,
___X____,
__X_____,
_X______,
X_______,
________,
// 30
________,
__XXXX__,
_X__X_X_,
_X_X__X_,
__XXXX__,
________,
________,
________,
// 31
________,
________,
__X___X_,
_XXXXXX_,
______X_,
________,
________,
________,
// 32
________,
__X__XX_,
_X__X_X_,
_X__X_X_,
__XX__X_,
________,
________,
________,
// 33
________,
__X__X__,
_X____X_,
_X_X__X_,
__X_XX__,
________,
________,
________,
// 34
________,
____XX__,
___X_X__,
__X__X__,
_XXXXXX_,
_____X__,
________,
________,
// 35
________,
_XXX_X__,
_X_X__X_,
_X_X__X_,
_X__XX__,
________,
________,
________,
// 36
________,
__XXXX__,
_X_X__X_,
_X_X__X_,
____XX__,
________,
________,
________,
// 37
________,
_X______,
_X___XX_,
_X__X___,
_XXX____,
________,
________,
________,
// 38
________,
__X_XX__,
_X_X__X_,
_X_X__X_,
_X_X__X_,
__X_XX__,
________,
________,
// 39
________,
__XX____,
_X__X_X_,
_X__X_X_,
__XXXX__,
________,
________,
________,
// 3a
________,
________,
__XX_XX_,
________,
________,
________,
________,
________,
// 3b
________,
_______X,
__XX_XX_,
________,
________,
________,
________,
________,
// 3c
________,
___X____,
__X_X___,
_X___X__,
________,
________,
________,
________,
// 3d
________,
__X_X___,
__X_X___,
__X_X___,
__X_X___,
________,
________,
________,
// 3e
________,
_X___X__,
__X_X___,
___X____,
________,
________,
________,
________,
// 3f
________,
__X_____,
_X______,
_X__X_X_,
__XX____,
________,
________,
________,
// 40
________,
__XXXX__,
_X____X_,
_XXXX_X_,
__XXX_X_,
________,
________,
________,
// 41
________,
__XXXXX_,
_X__X___,
_X__X___,
__XXXXX_,
________,
________,
________,
// 42
________,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
__X_XX__,
________,
________,
________,
// 43
________,
__XXXX__,
_X____X_,
_X____X_,
__X__X__,
________,
________,
________,
// 44
________,
_XXXXXX_,
_X____X_,
_X____X_,
__XXXX__,
________,
________,
________,
// 45
________,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
_X____X_,
________,
________,
________,
// 46
________,
_XXXXXX_,
_X_X____,
_X_X____,
_X______,
________,
________,
________,
// 47
________,
__XXXX__,
_X____X_,
_X____X_,
__X_XX__,
________,
________,
________,
// 48
________,
_XXXXXX_,
___X____,
___X____,
_XXXXXX_,
________,
________,
________,
// 49
________,
_X____X_,
_XXXXXX_,
_X____X_,
________,
________,
________,
________,
// 4a
________,
_____X__,
______X_,
_X____X_,
_XXXXX__,
________,
________,
________,
// 4b
________,
_XXXXXX_,
___X____,
__X_X___,
_X___XX_,
________,
________,
________,
// 4c
________,
_XXXXXX_,
______X_,
______X_,
______X_,
________,
________,
________,
// 4d
_XXXXXX_,
__X_____,
___XX___,
__X_____,
_XXXXXX_,
________,
________,
________,
// 4e
________,
_XXXXXX_,
__XX____,
___XX___,
_XXXXXX_,
________,
________,
________,
// 4f
________,
__XXXX__,
_X____X_,
_X____X_,
__XXXX__,
________,
________,
________,
// 50
________,
_XXXXXX_,
_X__X___,
_X__X___,
__XX____,
________,
________,
________,
// 51
________,
__XXXX__,
_X__X_X_,
_X___X__,
__XXX_X_,
________,
________,
________,
// 52
________,
_XXXXXX_,
_X__X___,
_X__X___,
__XX_XX_,
________,
________,
________,
// 53
________,
__X__X__,
_X_X__X_,
_X_X__X_,
____XX__,
________,
________,
________,
// 54
_XX_____,
_X______,
_XXXXXX_,
_X______,
_XX_____,
________,
________,
________,
// 55
________,
_XXXXX__,
______X_,
______X_,
_XXXXXX_,
________,
________,
________,
// 56
________,
_XXXX___,
_____XX_,
_____XX_,
_XXXX___,
________,
________,
________,
// 57
_XXXXXX_,
____XX__,
___XX___,
____XX__,
_XXXXXX_,
________,
________,
________,
// 58
_X____X_,
__X__X__,
___XX___,
__X__X__,
_X____X_,
________,
________,
________,
// 59
_XX_____,
___X____,
___XXXX_,
___X____,
_XX_____,
________,
________,
________,
// 5a
________,
_X___XX_,
_X__X_X_,
_X_X__X_,
_XX___X_,
________,
________,
________,
// 5b
________,
________,
XXXXXXX_,
X_____X_,
X_____X_,
________,
________,
________,
// 5c
X_______,
_X______,
__X_____,
___X____,
____X___,
_____X__,
______X_,
________,
// 5d
________,
X_____X_,
X_____X_,
XXXXXXX_,
________,
________,
________,
________,
// 5e
___X____,
__X_____,
_X______,
__X_____,
___X____,
________,
________,
________,
// 5f
_______X,
_______X,
_______X,
_______X,
_______X,
_______X,
_______X,
_______X,
// 60
________,
_XX_____,
___X____,
________,
________,
________,
________,
________,
// 61
________,
_____X__,
__X_X_X_,
__X_X_X_,
___XXXX_,
________,
________,
________,
// 62
________,
_XXXXXX_,
___X__X_,
___X__X_,
____XX__,
________,
________,
________,
// 63
________,
___XXX__,
__X___X_,
__X___X_,
___X_X__,
________,
________,
________,
// 64
________,
____XX__,
___X__X_,
___X__X_,
_XXXXXX_,
________,
________,
________,
// 65
________,
___XXX__,
__X_X_X_,
__X_X_X_,
___X__X_,
________,
________,
________,
// 66
________,
__XXXXX_,
_X_X____,
_X______,
________,
________,
________,
________,
// 67
________,
___XX___,
__X__X_X,
__X__X_X,
__XXXXX_,
________,
________,
________,
// 68
________,
XXXXXXX_,
___X____,
___X____,
____XXX_,
________,
________,
________,
// 69
________,
__X___X_,
X_XXXXX_,
______X_,
________,
________,
________,
________,
// 6a
________,
_____XX_,
_______X,
X_XXXXX_,
________,
________,
________,
________,
// 6b
________,
XXXXXXX_,
____X___,
___X_X__,
__X___X_,
________,
________,
________,
// 6c
________,
X_____X_,
XXXXXXX_,
______X_,
________,
________,
________,
________,
// 6d
________,
__XXXXX_,
__X_____,
__XXXXX_,
__X_____,
___XXXX_,
________,
________,
// 6e
________,
__XXXXX_,
__X_____,
__X_____,
___XXXX_,
________,
________,
________,
// 6f
________,
___XXX__,
__X___X_,
__X___X_,
___XXX__,
________,
________,
________,
// 70
________,
__XXXXXX,
__X__X__,
__X__X__,
___XX___,
________,
________,
________,
// 71
___XX___,
__X__X__,
__X__X__,
__XXXXXX,
_______X,
________,
________,
________,
// 72
________,
__XXXXX_,
__X_____,
__X_____,
___X____,
________,
________,
________,
// 73
________,
___X__X_,
__X_X_X_,
__X_X_X_,
_____X__,
________,
________,
________,
// 74
________,
__X_____,
XXXXXX__,
__X___X_,
________,
________,
________,
________,
// 75
________,
__XXXX__,
______X_,
______X_,
__XXXXX_,
________,
________,
________,
// 76
________,
__XXX___,
_____XX_,
_____XX_,
__XXX___,
________,
________,
________,
// 77
________,
__XXXX__,
_____XX_,
___XXX__,
_____XX_,
__XXXX__,
________,
________,
// 78
________,
__X___X_,
___X_X__,
____X___,
___X_X__,
__X___X_,
________,
________,
// 79
________,
__XXX__X,
_____X_X,
_____X_X,
__XXXXX_,
________,
________,
________,
// 7a
________,
__X__XX_,
__X_X_X_,
__XX__X_,
__X___X_,
________,
________,
________,
// 7b
________,
___X____,
_XX_XX__,
X_____X_,
X_____X_,
________,
________,
________,
// 7c
________,
________,
XXX_XXX_,
________,
________,
________,
________,
________,
// 7d
________,
X_____X_,
X_____X_,
_XX_XX__,
___X____,
________,
________,
________,
// 7e
________,
__X_____,
_X______,
__X_____,
_X______,
________,
________,
________,
// 7f
________,
______X_,
____X_X_,
__X___X_,
____X_X_,
______X_,
________,
________,
// 80
________,
________,
___XX___,
___XX___,
________,
________,
________,
________,
// 81
________,
________,
________,
_XXXX_X_,
________,
________,
________,
________,
// 82
________,
________,
____X_X_,
_XXX_X__,
____X_X_,
________,
________,
________,
// 83
________,
________,
________,
XXXXXXXX,
____X___,
____X___,
____X___,
____X___,
// 84
____X___,
____X___,
____X___,
____X___,
____X___,
____X___,
____X___,
____X___,
// 85
____X___,
____X___,
____X___,
XXXXXXXX,
____X___,
____X___,
____X___,
____X___,
// 86
________,
________,
________,
__XXXXXX,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 87
________,
________,
XXXXXXXX,
________,
________,
XXXXXXXX,
____X___,
____X___,
// 88
________,
________,
XXXXXX__,
_____X__,
_____X__,
XXX__X__,
__X__X__,
__X__X__,
// 89
________,
________,
__XXXXXX,
__X_____,
__X_____,
__X__XXX,
__X__X__,
__X__X__,
// 8a
__X__X__,
__X__X__,
XXX__X__,
_____X__,
_____X__,
XXX__X__,
__X__X__,
__X__X__,
// 8b
__X__X__,
__X__X__,
__X__XXX,
__X_____,
__X_____,
__X__XXX,
__X__X__,
__X__X__,
// 8c
________,
________,
XXXXXXXX,
________,
________,
XXX__XXX,
__X__X__,
__X__X__,
// 8d
__X__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 8e
__X__X__,
__X__X__,
XXX__XXX,
________,
________,
XXX__XXX,
__X__X__,
__X__X__,
// 8f
__X__X__,
__X__X__,
__X__X__,
XXX__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 90
____X___,
____X___,
XXXXX___,
____X___,
____X___,
XXXXX___,
____X___,
____X___,
// 91
__X__X__,
__X__X__,
__X__X__,
__X__XXX,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 92
____X___,
____X___,
____XXXX,
____X___,
____X___,
____XXXX,
____X___,
____X___,
// 93
________,
________,
XXXXX___,
____X___,
____X___,
XXXXX___,
____X___,
____X___,
// 94
________,
________,
________,
XXXXXX__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 95
________,
________,
________,
__XXXXXX,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 96
________,
________,
____XXXX,
____X___,
____X___,
____XXXX,
____X___,
____X___,
// 97
____X___,
____X___,
XXXXXXXX,
____X___,
____X___,
XXXXXXXX,
____X___,
____X___,
// 98
__X__X__,
__X__X__,
__X__X__,
XXXXXXXX,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
// 99
____X___,
____X___,
____X___,
XXXXX___,
________,
________,
________,
________,
// 9a
________,
________,
________,
____XXXX,
____X___,
____X___,
____X___,
____X___,
// 9b
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
// 9c
____XXXX,
____XXXX,
____XXXX,
____XXXX,
____XXXX,
____XXXX,
____XXXX,
____XXXX,
// 9d
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
________,
________,
________,
________,
// 9e
________,
________,
________,
________,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
// 9f
XXXX____,
XXXX____,
XXXX____,
XXXX____,
XXXX____,
XXXX____,
XXXX____,
XXXX____,
// a0
__XX_XX_,
__X_X_X_,
__X___X_,
______X_,
________,
________,
________,
________,
// a1
________,
_____XX_,
___XX_X_,
_XX___X_,
___XX_X_,
_____XX_,
________,
________,
// a2
______X_,
_____X__,
____X___,
___X____,
__X_____,
_X______,
X_______,
________,
// a3
X_______,
_X______,
__X_____,
___X____,
____X___,
_____X__,
______X_,
________,
// a4
______X_,
_____X__,
____X___,
___X____,
__X_____,
_X______,
X_______,
________,
// a5
X_______,
_X______,
__X_____,
___X____,
____X___,
_____X__,
______X_,
________,
// a6
____X___,
____X___,
__XXXXX_,
___XXX__,
____X___,
________,
________,
________,
// a7
____X___,
___XXX__,
__XXXXX_,
____X___,
____X___,
________,
________,
________,
// a8
________,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
_X____X_,
________,
________,
________,
// a9
____X___,
____XX__,
_XXXXXX_,
____XX__,
____X___,
________,
________,
________,
// aa
____X___,
____X___,
__X_X_X_,
____X___,
____X___,
________,
________,
________,
// ab
___X____,
__XX____,
_XXXXXX_,
__XX____,
___X____,
________,
________,
________,
// ac
____X___,
___XXX__,
__XXXXX_,
____X___,
____X___,
_XXXX___,
________,
________,
// ad
__X___X_,
___XXX__,
___X_X__,
___XXX__,
__X___X_,
________,
________,
________,
// ae
________,
________,
________,
XXXX____,
XXXX____,
________,
________,
________,
// af
________,
________,
___XX___,
___XX___,
________,
________,
________,
________,
// b0
_XXXXXX_,
______X_,
_____XX_,
___X____,
__XXXXX_,
___X__X_,
________,
________,
// b1
_XXXXXX_,
_X__X___,
__XX____,
____X___,
_____X_X,
____XXXX,
________,
________,
// b2
X_X_X_X_,
X_X_X_X_,
_X_X_X_X,
_X_X_X_X,
X_X_X_X_,
X_X_X_X_,
_X_X_X_X,
_X_X_X_X,
// b3
_______X,
_______X,
__XXXXX_,
__X__X__,
__X__X__,
___XX___,
________,
________,
// b4
________,
X__XX___,
X___X___,
_XX_X___,
________,
________,
________,
________,
// b5
________,
X___X___,
X_X_X___,
XX_XX___,
________,
________,
________,
________,
// b6
________,
________,
________,
__X_____,
_X_X____,
__X_____,
________,
________,
// b7
____X___,
____X___,
____XXXX,
____X___,
____X___,
____XXXX,
________,
________,
// b8
________,
X__XXX__,
__X_X_X_,
__X_X_X_,
X__XX_X_,
________,
________,
________,
// b9
_XXXXXX_,
__XX____,
____XX__,
_XXXXXX_,
_XX_____,
________,
________,
________,
// ba
________,
________,
XXXXXXXX,
________,
________,
XXXXXXXX,
________,
________,
// bb
__X__X__,
__X__X__,
__X__XXX,
__X_____,
__X_____,
__XXXXXX,
________,
________,
// bc
__X__X__,
__X__X__,
XXX__X__,
_____X__,
_____X__,
XXXXXX__,
________,
________,
// bd
____X___,
____X___,
XXXXX___,
____X___,
____X___,
XXXXX___,
________,
________,
// be
__X__X__,
__X__X__,
__X__X__,
XXXXXX__,
________,
________,
________,
________,
// bf
____X___,
____X___,
____X___,
____XXXX,
________,
________,
________,
________,
// c0
________,
__XXXXX_,
_X__X___,
_X__X___,
__XXXXX_,
________,
________,
________,
// c1
________,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
_X__XX__,
________,
________,
________,
// c2
________,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
__X_XX__,
________,
________,
________,
// c3
________,
_XXXXXX_,
_X______,
_X______,
_XX_____,
________,
________,
________,
// c4
______XX,
__XXXXX_,
_X____X_,
_X____X_,
_XXXXXX_,
______XX,
________,
________,
// c5
________,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
_X____X_,
________,
________,
________,
// c6
_X____X_,
__X_XX__,
_XXXXXX_,
__X_XX__,
_X____X_,
________,
________,
________,
// c7
________,
__X__X__,
_X____X_,
_X_X__X_,
__X_XX__,
________,
________,
________,
// c8
________,
_XXXXXX_,
_____X__,
____X___,
_XXXXXX_,
________,
________,
________,
// c9
________,
_XXXXXX_,
_____X__,
X___X___,
_XXXXXX_,
________,
________,
________,
// ca
________,
_XXXXXX_,
___X____,
__X_X___,
_X___XX_,
________,
________,
________,
// cb
______X_,
__XXXX__,
_X______,
_X______,
_XXXXXX_,
________,
________,
________,
// cc
_XXXXXX_,
__X_____,
___XX___,
__X_____,
_XXXXXX_,
________,
________,
________,
// cd
________,
_XXXXXX_,
___X____,
___X____,
_XXXXXX_,
________,
________,
________,
// ce
________,
__XXXX__,
_X____X_,
_X____X_,
__XXXX__,
________,
________,
________,
// cf
________,
_XXXXXX_,
_X______,
_X______,
_XXXXXX_,
________,
________,
________,
// d0
________,
_XXXXXX_,
_X__X___,
_X__X___,
__XX____,
________,
________,
________,
// d1
________,
__XXXX__,
_X____X_,
_X____X_,
__X__X__,
________,
________,
________,
// d2
_X______,
_X______,
_XXXXXX_,
_X______,
_X______,
________,
________,
________,
// d3
________,
_XXX____,
____X_X_,
____X_X_,
_XXXXX__,
________,
________,
________,
// d4
__XXX___,
_X___X__,
_XXXXXX_,
_X___X__,
__XXX___,
________,
________,
________,
// d5
_X____X_,
__X__X__,
___XX___,
__X__X__,
_X____X_,
________,
________,
________,
// d6
_XXXXXX_,
______X_,
______X_,
_XXXXXX_,
______XX,
________,
________,
________,
// d7
________,
_XXX____,
____X___,
____X___,
_XXXXXX_,
________,
________,
________,
// d8
_XXXXXX_,
______X_,
__XXXXX_,
______X_,
_XXXXXX_,
________,
________,
________,
// d9
_XXXXXX_,
______X_,
__XXXXX_,
______X_,
_XXXXXX_,
______XX,
________,
________,
// da
_X______,
_XXXXXX_,
___X__X_,
___X__X_,
____XX__,
________,
________,
________,
// db
_XXXXXX_,
___X__X_,
___X__X_,
____XX__,
_XXXXXX_,
________,
________,
________,
// dc
________,
_XXXXXX_,
___X__X_,
___X__X_,
____XX__,
________,
________,
________,
// dd
__X__X__,
_X____X_,
_X_X__X_,
_X_X__X_,
__XXXX__,
________,
________,
________,
// de
_XXXXXX_,
___XX___,
_XXXXXX_,
_X____X_,
__XXXX__,
________,
________,
________,
// df
________,
__XX_XX_,
_X__X___,
_X__X___,
_XXXXXX_,
________,
________,
________,
// e0
________,
_____X__,
__X_X_X_,
__X_X_X_,
___XXXX_,
________,
________,
________,
// e1
________,
__XXXXX_,
__X_X_X_,
__X_X_X_,
_____X__,
________,
________,
________,
// e2
________,
__XXXXX_,
__X_X_X_,
__X_X_X_,
___X_X__,
________,
________,
________,
// e3
________,
__XXXXX_,
__X_____,
__X_____,
________,
________,
________,
________,
// e4
______XX,
___XXXX_,
__X___X_,
__XXXXX_,
______XX,
________,
________,
________,
// e5
________,
___XXX__,
__X_X_X_,
__X_X_X_,
___XX_X_,
________,
________,
________,
// e6
__X__XX_,
___XX___,
__XXXXX_,
___XX___,
__X__XX_,
________,
________,
________,
// e7
___X_X__,
__X___X_,
__X_X_X_,
__XXXXX_,
___X_X__,
________,
________,
________,
// e8
________,
__XXXXX_,
_____X__,
____X___,
__XXXXX_,
________,
________,
________,
// e9
________,
__XXXXX_,
_X___X__,
X___X___,
__XXXXX_,
________,
________,
________,
// ea
________,
__XXXXX_,
____X___,
___XX___,
__X__XX_,
________,
________,
________,
// eb
______X_,
___XXXX_,
__X_____,
__X_____,
__XXXXX_,
________,
________,
________,
// ec
__XXXXX_,
___X____,
____X___,
___X____,
__XXXXX_,
________,
________,
________,
// ed
________,
__XXXXX_,
____X___,
____X___,
__XXXXX_,
________,
________,
________,
// ee
________,
___XXX__,
__X___X_,
__X___X_,
___XXX__,
________,
________,
________,
// ef
________,
__XXXXX_,
__X_____,
__X_____,
__XXXXX_,
________,
________,
________,
// f0
________,
__XXXXX_,
__X__X__,
__X__X__,
___XX___,
________,
________,
________,
// f1
________,
___XXX__,
__X___X_,
__X___X_,
___X_X__,
________,
________,
________,
// f2
__X_____,
__X_____,
__XXXXX_,
__X_____,
__X_____,
________,
________,
________,
// f3
________,
__XXX___,
_____X_X,
_____X_X,
__XXXXX_,
________,
________,
________,
// f4
___XX___,
__X__X__,
__XXXXX_,
__X__X__,
___XX___,
________,
________,
________,
// f5
__X___X_,
___X_X__,
____X___,
___X_X__,
__X___X_,
________,
________,
________,
// f6
__XXXXX_,
______X_,
______X_,
__XXXXX_,
______XX,
________,
________,
________,
// f7
________,
__XXX___,
_____X__,
_____X__,
__XXXXX_,
________,
________,
________,
// f8
__XXXXX_,
______X_,
___XXXX_,
______X_,
__XXXXX_,
________,
________,
________,
// f9
__XXXXX_,
______X_,
___XXXX_,
______X_,
__XXXXX_,
______XX,
________,
________,
// fa
__X_____,
__XXXXX_,
___X__X_,
___X__X_,
____XX__,
________,
________,
________,
// fb
__XXXXX_,
___X__X_,
___X__X_,
____XX__,
__XXXXX_,
________,
________,
________,
// fc
________,
__XXXXX_,
___X__X_,
___X__X_,
____XX__,
________,
________,
________,
// fd
________,
__X___X_,
__X_X_X_,
__X_X_X_,
___XXX__,
________,
________,
________,
// fe
__XXXXX_,
____X___,
__XXXXX_,
__X___X_,
___XXX__,
________,
________,
________,
// ff
________,
___X__X_,
__X_XX__,
__X_X___,
__XXXXX_,
________,
________,
________,

};
