/************************************************************************
*																		*
*							 88. .							*
*																		*
* : fnt1.c		 : 03.10.2013.					*
*   . (sapegoal@mail.ru)						*
*																		*
************************************************************************/

#include "fonts.h"
#include "primitive.h"
#define ASYM20		904
#define ASYM30		ASYM20+128
#define ASYM40		ASYM30+128
#define ASYM50		ASYM40+128
#define ASYM60		ASYM50+128
#define ASYM70		ASYM60+128
#define ASYM80		ASYM70+128
#define ASYM90		ASYM80+128
#define ASYMA0		ASYM90+128
#define ASYMB0		ASYMA0+128
#define ASYMC0		ASYMB0+128
#define ASYMD0		ASYMC0+128
#define ASYME0		ASYMD0+128
#define ASYMF0		ASYME0+128

//  8
extern const uint8_t  L1190000[];
const FONT_FLASH    GOLFont8x8 = {FNTFLASH,L1190000};
const uint8_t L1190000[] =
{
        0x02,	// fontID;		// User assigned value
        0,    	// res1   : 4;		// Reserved for future use (must be set to 0).
                // orient : 2;          // Orientation
                // res2   : 2;          // Reserved for future use (must be set to 0).
        0x20,
        0x00,	// firstChar;		// Character code of first character (e.g. 32).
        0xFF,
        0x00,	// lastChar;		// Character code of last character in font (e.g. 3006).
        8,	// height;		// Font characters height in pixels.
        0,	// reserved;		// Reserved for future use (must be set to 0).

 8,((ASYM20+0)&0xFF),((ASYM20+0)>>8)&0xFF,0,			// 20
 8,((ASYM20+8)&0xFF),((ASYM20+8)>>8)&0xFF,0,
 8,((ASYM20+16)&0xFF),((ASYM20+16)>>8)&0xFF,0,
 8,((ASYM20+24)&0xFF),((ASYM20+24)>>8)&0xFF,0,
 8,((ASYM20+32)&0xFF),((ASYM20+32)>>8)&0xFF,0,
 8,((ASYM20+40)&0xFF),((ASYM20+40)>>8)&0xFF,0,
 8,((ASYM20+48)&0xFF),((ASYM20+48)>>8)&0xFF,0,
 8,((ASYM20+56)&0xFF),((ASYM20+56)>>8)&0xFF,0,
 8,((ASYM20+64)&0xFF),((ASYM20+64)>>8)&0xFF,0,
 8,((ASYM20+72)&0xFF),((ASYM20+72)>>8)&0xFF,0,
 8,((ASYM20+80)&0xFF),((ASYM20+80)>>8)&0xFF,0,
 8,((ASYM20+88)&0xFF),((ASYM20+88)>>8)&0xFF,0,
 8,((ASYM20+96)&0xFF),((ASYM20+96)>>8)&0xFF,0,
 8,((ASYM20+104)&0xFF),((ASYM20+104)>>8)&0xFF,0,
 8,((ASYM20+112)&0xFF),((ASYM20+112)>>8)&0xFF,0,
 8,((ASYM20+120)&0xFF),((ASYM20+120)>>8)&0xFF,0,
 8,((ASYM30+0)&0xFF),((ASYM30+0)>>8)&0xFF,0,			
// 30 
8,((ASYM30+8)&0xFF),((ASYM30+8)>>8)&0xFF,0,
8,((ASYM30+16)&0xFF),((ASYM30+16)>>8)&0xFF,0,
8,((ASYM30+24)&0xFF),((ASYM30+24)>>8)&0xFF,0,
8,((ASYM30+32)&0xFF),((ASYM30+32)>>8)&0xFF,0,
8,((ASYM30+40)&0xFF),((ASYM30+40)>>8)&0xFF,0,
8,((ASYM30+48)&0xFF),((ASYM30+48)>>8)&0xFF,0,
8,((ASYM30+56)&0xFF),((ASYM30+56)>>8)&0xFF,0,
8,((ASYM30+64)&0xFF),((ASYM30+64)>>8)&0xFF,0,
8,((ASYM30+72)&0xFF),((ASYM30+72)>>8)&0xFF,0,
8,((ASYM30+80)&0xFF),((ASYM30+80)>>8)&0xFF,0,
8,((ASYM30+88)&0xFF),((ASYM30+88)>>8)&0xFF,0,
8,((ASYM30+96)&0xFF),((ASYM30+96)>>8)&0xFF,0,
8,((ASYM30+104)&0xFF),((ASYM30+104)>>8)&0xFF,0,
8,((ASYM30+112)&0xFF),((ASYM30+112)>>8)&0xFF,0,
8,((ASYM30+120)&0xFF),((ASYM30+120)>>8)&0xFF,0,
8,((ASYM40+0)&0xFF),((ASYM40+0)>>8)&0xFF,0,			
// 40 
8,((ASYM40+8)&0xFF),((ASYM40+8)>>8)&0xFF,0, 
8,((ASYM40+16)&0xFF),((ASYM40+16)>>8)&0xFF,0, 
8,((ASYM40+24)&0xFF),((ASYM40+24)>>8)&0xFF,0, 
8,((ASYM40+32)&0xFF),((ASYM40+32)>>8)&0xFF,0, 
8,((ASYM40+40)&0xFF),((ASYM40+40)>>8)&0xFF,0, 
8,((ASYM40+48)&0xFF),((ASYM40+48)>>8)&0xFF,0, 
8,((ASYM40+56)&0xFF),((ASYM40+56)>>8)&0xFF,0, 
8,((ASYM40+64)&0xFF),((ASYM40+64)>>8)&0xFF,0,
8,((ASYM40+72)&0xFF),((ASYM40+72)>>8)&0xFF,0,
8,((ASYM40+80)&0xFF),((ASYM40+80)>>8)&0xFF,0, 
8,((ASYM40+88)&0xFF),((ASYM40+88)>>8)&0xFF,0,
8,((ASYM40+96)&0xFF),((ASYM40+96)>>8)&0xFF,0,
8,((ASYM40+104)&0xFF),((ASYM40+104)>>8)&0xFF,0,
8,((ASYM40+112)&0xFF),((ASYM40+112)>>8)&0xFF,0,
8,((ASYM40+120)&0xFF),((ASYM40+120)>>8)&0xFF,0,
8,((ASYM50+0)&0xFF),((ASYM50+0)>>8)&0xFF,0,			
// 50 
8,((ASYM50+8)&0xFF),((ASYM50+8)>>8)&0xFF,0, 
8,((ASYM50+16)&0xFF),((ASYM50+16)>>8)&0xFF,0, 
8,((ASYM50+24)&0xFF),((ASYM50+24)>>8)&0xFF,0, 
8,((ASYM50+32)&0xFF),((ASYM50+32)>>8)&0xFF,0, 
8,((ASYM50+40)&0xFF),((ASYM50+40)>>8)&0xFF,0, 
8,((ASYM50+48)&0xFF),((ASYM50+48)>>8)&0xFF,0, 
8,((ASYM50+56)&0xFF),((ASYM50+56)>>8)&0xFF,0, 
8,((ASYM50+64)&0xFF),((ASYM50+64)>>8)&0xFF,0, 
8,((ASYM50+72)&0xFF),((ASYM50+72)>>8)&0xFF,0, 
8,((ASYM50+80)&0xFF),((ASYM50+80)>>8)&0xFF,0, 
8,((ASYM50+88)&0xFF),((ASYM50+88)>>8)&0xFF,0, 
8,((ASYM50+96)&0xFF),((ASYM50+96)>>8)&0xFF,0, 
8,((ASYM50+104)&0xFF),((ASYM50+104)>>8)&0xFF,0, 
8,((ASYM50+112)&0xFF),((ASYM50+112)>>8)&0xFF,0, 
8,((ASYM50+120)&0xFF),((ASYM50+120)>>8)&0xFF,0, 
8,((ASYM60+0)&0xFF),((ASYM60+0)>>8)&0xFF,0,			
// 60
8,((ASYM60+8)&0xFF),((ASYM60+8)>>8)&0xFF,0,
8,((ASYM60+16)&0xFF),((ASYM60+16)>>8)&0xFF,0, 
8,((ASYM60+24)&0xFF),((ASYM60+24)>>8)&0xFF,0, 
8,((ASYM60+32)&0xFF),((ASYM60+32)>>8)&0xFF,0, 
8,((ASYM60+40)&0xFF),((ASYM60+40)>>8)&0xFF,0, 
8,((ASYM60+48)&0xFF),((ASYM60+48)>>8)&0xFF,0, 
8,((ASYM60+56)&0xFF),((ASYM60+56)>>8)&0xFF,0, 
8,((ASYM60+64)&0xFF),((ASYM60+64)>>8)&0xFF,0, 
8,((ASYM60+72)&0xFF),((ASYM60+72)>>8)&0xFF,0, 
8,((ASYM60+80)&0xFF),((ASYM60+80)>>8)&0xFF,0, 
8,((ASYM60+88)&0xFF),((ASYM60+88)>>8)&0xFF,0, 
8,((ASYM60+96)&0xFF),((ASYM60+96)>>8)&0xFF,0, 
8,((ASYM60+104)&0xFF),((ASYM60+104)>>8)&0xFF,0,
8,((ASYM60+112)&0xFF),((ASYM60+112)>>8)&0xFF,0, 
8,((ASYM60+120)&0xFF),((ASYM60+120)>>8)&0xFF,0, 
8,((ASYM70+0)&0xFF),((ASYM70+0)>>8)&0xFF,0,			
// 70 
8,((ASYM70+8)&0xFF),((ASYM70+8)>>8)&0xFF,0, 
8,((ASYM70+16)&0xFF),((ASYM70+16)>>8)&0xFF,0, 
8,((ASYM70+24)&0xFF),((ASYM70+24)>>8)&0xFF,0, 
8,((ASYM70+32)&0xFF),((ASYM70+32)>>8)&0xFF,0, 
8,((ASYM70+40)&0xFF),((ASYM70+40)>>8)&0xFF,0, 
8,((ASYM70+48)&0xFF),((ASYM70+48)>>8)&0xFF,0,
8,((ASYM70+56)&0xFF),((ASYM70+56)>>8)&0xFF,0, 
8,((ASYM70+64)&0xFF),((ASYM70+64)>>8)&0xFF,0,
8,((ASYM70+72)&0xFF),((ASYM70+72)>>8)&0xFF,0,
8,((ASYM70+80)&0xFF),((ASYM70+80)>>8)&0xFF,0, 
8,((ASYM70+88)&0xFF),((ASYM70+88)>>8)&0xFF,0, 
8,((ASYM70+96)&0xFF),((ASYM70+96)>>8)&0xFF,0, 
8,((ASYM70+104)&0xFF),((ASYM70+104)>>8)&0xFF,0, 
8,((ASYM70+112)&0xFF),((ASYM70+112)>>8)&0xFF,0,
8,((ASYM70+120)&0xFF),((ASYM70+120)>>8)&0xFF,0,
8,((ASYM80+0)&0xFF),((ASYM80+0)>>8)&0xFF,0,			
// 80 
8,((ASYM80+8)&0xFF),((ASYM80+8)>>8)&0xFF,0,
8,((ASYM80+16)&0xFF),((ASYM80+16)>>8)&0xFF,0, 
8,((ASYM80+24)&0xFF),((ASYM80+24)>>8)&0xFF,0, 
8,((ASYM80+32)&0xFF),((ASYM80+32)>>8)&0xFF,0, 
8,((ASYM80+40)&0xFF),((ASYM80+40)>>8)&0xFF,0,
8,((ASYM80+48)&0xFF),((ASYM80+48)>>8)&0xFF,0,
8,((ASYM80+56)&0xFF),((ASYM80+56)>>8)&0xFF,0, 
8,((ASYM80+64)&0xFF),((ASYM80+64)>>8)&0xFF,0, 
8,((ASYM80+72)&0xFF),((ASYM80+72)>>8)&0xFF,0, 
8,((ASYM80+80)&0xFF),((ASYM80+80)>>8)&0xFF,0, 
8,((ASYM80+88)&0xFF),((ASYM80+88)>>8)&0xFF,0, 
8,((ASYM80+96)&0xFF),((ASYM80+96)>>8)&0xFF,0, 
8,((ASYM80+104)&0xFF),((ASYM80+104)>>8)&0xFF,0,
8,((ASYM80+112)&0xFF),((ASYM80+112)>>8)&0xFF,0,
8,((ASYM80+120)&0xFF),((ASYM80+120)>>8)&0xFF,0,
8,((ASYM90+0)&0xFF),((ASYM90+0)>>8)&0xFF,0,			
// 90 
8,((ASYM90+8)&0xFF),((ASYM90+8)>>8)&0xFF,0, 
8,((ASYM90+16)&0xFF),((ASYM90+16)>>8)&0xFF,0, 
8,((ASYM90+24)&0xFF),((ASYM90+24)>>8)&0xFF,0, 
8,((ASYM90+32)&0xFF),((ASYM90+32)>>8)&0xFF,0,
8,((ASYM90+40)&0xFF),((ASYM90+40)>>8)&0xFF,0, 
8,((ASYM90+48)&0xFF),((ASYM90+48)>>8)&0xFF,0,
8,((ASYM90+56)&0xFF),((ASYM90+56)>>8)&0xFF,0, 
8,((ASYM90+64)&0xFF),((ASYM90+64)>>8)&0xFF,0, 
8,((ASYM90+72)&0xFF),((ASYM90+72)>>8)&0xFF,0, 
8,((ASYM90+80)&0xFF),((ASYM90+80)>>8)&0xFF,0, 
8,((ASYM90+88)&0xFF),((ASYM90+88)>>8)&0xFF,0, 
8,((ASYM90+96)&0xFF),((ASYM90+96)>>8)&0xFF,0, 
8,((ASYM90+104)&0xFF),((ASYM90+104)>>8)&0xFF,0, 
8,((ASYM90+112)&0xFF),((ASYM90+112)>>8)&0xFF,0, 
8,((ASYM90+120)&0xFF),((ASYM90+120)>>8)&0xFF,0, 
8,((ASYMA0+0)&0xFF),((ASYMA0+0)>>8)&0xFF,0,			
// A0 
8,((ASYMA0+8)&0xFF),((ASYMA0+8)>>8)&0xFF,0, 
8,((ASYMA0+16)&0xFF),((ASYMA0+16)>>8)&0xFF,0, 
8,((ASYMA0+24)&0xFF),((ASYMA0+24)>>8)&0xFF,0, 
8,((ASYMA0+32)&0xFF),((ASYMA0+32)>>8)&0xFF,0, 
8,((ASYMA0+40)&0xFF),((ASYMA0+40)>>8)&0xFF,0, 
8,((ASYMA0+48)&0xFF),((ASYMA0+48)>>8)&0xFF,0, 
8,((ASYMA0+56)&0xFF),((ASYMA0+56)>>8)&0xFF,0, 
8,((ASYMA0+64)&0xFF),((ASYMA0+64)>>8)&0xFF,0, 
8,((ASYMA0+72)&0xFF),((ASYMA0+72)>>8)&0xFF,0, 
8,((ASYMA0+80)&0xFF),((ASYMA0+80)>>8)&0xFF,0, 
8,((ASYMA0+88)&0xFF),((ASYMA0+88)>>8)&0xFF,0, 
8,((ASYMA0+96)&0xFF),((ASYMA0+96)>>8)&0xFF,0, 
8,((ASYMA0+104)&0xFF),((ASYMA0+104)>>8)&0xFF,0, 
8,((ASYMA0+112)&0xFF),((ASYMA0+112)>>8)&0xFF,0, 
8,((ASYMA0+120)&0xFF),((ASYMA0+120)>>8)&0xFF,0, 
8,((ASYMB0+0)&0xFF),((ASYMB0+0)>>8)&0xFF,0,			
// B0 
8,((ASYMB0+8)&0xFF),((ASYMB0+8)>>8)&0xFF,0, 
8,((ASYMB0+16)&0xFF),((ASYMB0+16)>>8)&0xFF,0, 
8,((ASYMB0+24)&0xFF),((ASYMB0+24)>>8)&0xFF,0, 
8,((ASYMB0+32)&0xFF),((ASYMB0+32)>>8)&0xFF,0, 
8,((ASYMB0+40)&0xFF),((ASYMB0+40)>>8)&0xFF,0, 
8,((ASYMB0+48)&0xFF),((ASYMB0+48)>>8)&0xFF,0, 
8,((ASYMB0+56)&0xFF),((ASYMB0+56)>>8)&0xFF,0, 
8,((ASYMB0+64)&0xFF),((ASYMB0+64)>>8)&0xFF,0, 
8,((ASYMB0+72)&0xFF),((ASYMB0+72)>>8)&0xFF,0, 
8,((ASYMB0+80)&0xFF),((ASYMB0+80)>>8)&0xFF,0, 
8,((ASYMB0+88)&0xFF),((ASYMB0+88)>>8)&0xFF,0, 
8,((ASYMB0+96)&0xFF),((ASYMB0+96)>>8)&0xFF,0, 
8,((ASYMB0+104)&0xFF),((ASYMB0+104)>>8)&0xFF,0, 
8,((ASYMB0+112)&0xFF),((ASYMB0+112)>>8)&0xFF,0,
8,((ASYMB0+120)&0xFF),((ASYMB0+120)>>8)&0xFF,0, 
8,((ASYMC0+0)&0xFF),((ASYMC0+0)>>8)&0xFF,0,			
// C0 
8,((ASYMC0+8)&0xFF),((ASYMC0+8)>>8)&0xFF,0, 
8,((ASYMC0+16)&0xFF),((ASYMC0+16)>>8)&0xFF,0, 
8,((ASYMC0+24)&0xFF),((ASYMC0+24)>>8)&0xFF,0, 
8,((ASYMC0+32)&0xFF),((ASYMC0+32)>>8)&0xFF,0, 
8,((ASYMC0+40)&0xFF),((ASYMC0+40)>>8)&0xFF,0, 
8,((ASYMC0+48)&0xFF),((ASYMC0+48)>>8)&0xFF,0, 
8,((ASYMC0+56)&0xFF),((ASYMC0+56)>>8)&0xFF,0, 
8,((ASYMC0+64)&0xFF),((ASYMC0+64)>>8)&0xFF,0, 
8,((ASYMC0+72)&0xFF),((ASYMC0+72)>>8)&0xFF,0, 
8,((ASYMC0+80)&0xFF),((ASYMC0+80)>>8)&0xFF,0, 
8,((ASYMC0+88)&0xFF),((ASYMC0+88)>>8)&0xFF,0, 
8,((ASYMC0+96)&0xFF),((ASYMC0+96)>>8)&0xFF,0, 
8,((ASYMC0+104)&0xFF),((ASYMC0+104)>>8)&0xFF,0, 
8,((ASYMC0+112)&0xFF),((ASYMC0+112)>>8)&0xFF,0, 
8,((ASYMC0+120)&0xFF),((ASYMC0+120)>>8)&0xFF,0, 
8,((ASYMD0+0)&0xFF),((ASYMD0+0)>>8)&0xFF,0,			
// D0 
8,((ASYMD0+8)&0xFF),((ASYMD0+8)>>8)&0xFF,0, 
8,((ASYMD0+16)&0xFF),((ASYMD0+16)>>8)&0xFF,0, 
8,((ASYMD0+24)&0xFF),((ASYMD0+24)>>8)&0xFF,0, 
8,((ASYMD0+32)&0xFF),((ASYMD0+32)>>8)&0xFF,0, 
8,((ASYMD0+40)&0xFF),((ASYMD0+40)>>8)&0xFF,0, 
8,((ASYMD0+48)&0xFF),((ASYMD0+48)>>8)&0xFF,0, 
8,((ASYMD0+56)&0xFF),((ASYMD0+56)>>8)&0xFF,0, 
8,((ASYMD0+64)&0xFF),((ASYMD0+64)>>8)&0xFF,0, 
8,((ASYMD0+72)&0xFF),((ASYMD0+72)>>8)&0xFF,0, 
8,((ASYMD0+80)&0xFF),((ASYMD0+80)>>8)&0xFF,0, 
8,((ASYMD0+88)&0xFF),((ASYMD0+88)>>8)&0xFF,0, 
8,((ASYMD0+96)&0xFF),((ASYMD0+96)>>8)&0xFF,0, 
8,((ASYMD0+104)&0xFF),((ASYMD0+104)>>8)&0xFF,0, 
8,((ASYMD0+112)&0xFF),((ASYMD0+112)>>8)&0xFF,0, 
8,((ASYMD0+120)&0xFF),((ASYMD0+120)>>8)&0xFF,0, 
8,((ASYME0+0)&0xFF),((ASYME0+0)>>8)&0xFF,0,			
// E0 
8,((ASYME0+8)&0xFF),((ASYME0+8)>>8)&0xFF,0, 
8,((ASYME0+16)&0xFF),((ASYME0+16)>>8)&0xFF,0, 
8,((ASYME0+24)&0xFF),((ASYME0+24)>>8)&0xFF,0,
8,((ASYME0+32)&0xFF),((ASYME0+32)>>8)&0xFF,0,
8,((ASYME0+40)&0xFF),((ASYME0+40)>>8)&0xFF,0,
8,((ASYME0+48)&0xFF),((ASYME0+48)>>8)&0xFF,0,
8,((ASYME0+56)&0xFF),((ASYME0+56)>>8)&0xFF,0,
8,((ASYME0+64)&0xFF),((ASYME0+64)>>8)&0xFF,0,
8,((ASYME0+72)&0xFF),((ASYME0+72)>>8)&0xFF,0,
8,((ASYME0+80)&0xFF),((ASYME0+80)>>8)&0xFF,0,
8,((ASYME0+88)&0xFF),((ASYME0+88)>>8)&0xFF,0,
8,((ASYME0+96)&0xFF),((ASYME0+96)>>8)&0xFF,0,
8,((ASYME0+104)&0xFF),((ASYME0+104)>>8)&0xFF,0,
8,((ASYME0+112)&0xFF),((ASYME0+112)>>8)&0xFF,0, 
8,((ASYME0+120)&0xFF),((ASYME0+120)>>8)&0xFF,0, 
8,((ASYMF0+0)&0xFF),((ASYMF0+0)>>8)&0xFF,0,			
// F0 
8,((ASYMF0+8)&0xFF),((ASYMF0+8)>>8)&0xFF,0, 
8,((ASYMF0+16)&0xFF),((ASYMF0+16)>>8)&0xFF,0,
8,((ASYMF0+24)&0xFF),((ASYMF0+24)>>8)&0xFF,0, 
8,((ASYMF0+32)&0xFF),((ASYMF0+32)>>8)&0xFF,0, 
8,((ASYMF0+40)&0xFF),((ASYMF0+40)>>8)&0xFF,0, 
8,((ASYMF0+48)&0xFF),((ASYMF0+48)>>8)&0xFF,0, 
8,((ASYMF0+56)&0xFF),((ASYMF0+56)>>8)&0xFF,0, 
8,((ASYMF0+64)&0xFF),((ASYMF0+64)>>8)&0xFF,0, 
8,((ASYMF0+72)&0xFF),((ASYMF0+72)>>8)&0xFF,0, 
8,((ASYMF0+80)&0xFF),((ASYMF0+80)>>8)&0xFF,0, 
8,((ASYMF0+88)&0xFF),((ASYMF0+88)>>8)&0xFF,0, 
8,((ASYMF0+96)&0xFF),((ASYMF0+96)>>8)&0xFF,0, 
8,((ASYMF0+104)&0xFF),((ASYMF0+104)>>8)&0xFF,0, 
8,((ASYMF0+112)&0xFF),((ASYMF0+112)>>8)&0xFF,0, 
8,((ASYMF0+120)&0xFF),((ASYMF0+120)>>8)&0xFF,0,
//    020
________,
________,
________,
________,
________,
________,
________,
________,
// 21
________,
________,
_XX_____,
XXXXX_X_,
XXXXX_X_,
_XX_____,
________,
________,
// 22
________,
XX______,
XXX_____,
________,
________,
XXX_____,
XX______,
________,
// 23
__X_X___,
XXXXXXX_,
XXXXXXX_,
__X_X___,
XXXXXXX_,
XXXXXXX_,
__X_X___,
________,
// 24
________,
__X__X__,
_XXX_X__,
XX_X_XX_,
XX_X_XX_,
_X_XXX__,
_X__X___,
________,
// 25
_XX___X_,
_XX__XX_,
____XX__,
___XX___,
__XX____,
_XX__XX_,
_X___XX_,
________,
// 26
____XX__,
_X_XXXX_,
XXXX__X_,
X_XXX_X_,
XXX_XX__,
_X_XXXX_,
___X__X_,
________,
// 27
________,
________,
__X_____,
XXX_____,
XX______,
________,
________,
________,
// 28
________,
________,
__XXX___,
_XXXXX__,
XX___XX_,
X_____X_,
________,
________,
// 29
________,
________,
X_____X_,
XX___XX_,
_XXXXX__,
__XXX___,
________,
________,
// 2a
___X____,
_X_X_X__,
_XXXXX__,
__XXX___,
__XXX___,
_XXXXX__,
_X_X_X__,
___X____,
// 2b
________,
___X____,
___X____,
_XXXXX__,
_XXXXX__,
___X____,
___X____,
________,
// 2c
________,
________,
_______X,
_____XXX,
_____XX_,
________,
________,
________,
// 2d
________,
___X____,
___X____,
___X____,
___X____,
___X____,
___X____,
________,
// 2e
________,
________,
________,
_____XX_,
_____XX_,
________,
________,
________,
// 2f
_____XX_,
____XX__,
___XX___,
__XX____,
_XX_____,
XX______,
X_______,
________,
// 30
_XXXXX__,
XXXXXXX_,
X___X_X_,
X__X__X_,
X_X___X_,
XXXXXXX_,
_XXXXX__,
________,
// 31
________,
______X_,
_X____X_,
XXXXXXX_,
XXXXXXX_,
______X_,
______X_,
________,
// 32
_X____X_,
XX___XX_,
X___XXX_,
X__XX_X_,
X__X__X_,
XXXX_XX_,
_XX__XX_,
________,
// 33
_X___X__,
XX___XX_,
X__X__X_,
X__X__X_,
X__X__X_,
XXXXXXX_,
_XX_XX__,
________,
// 34
___XX___,
__XXX___,
_XX_X___,
XX__X_X_,
XXXXXXX_,
XXXXXXX_,
____X_X_,
________,
// 35
XXXX_X__,
XXXX_XX_,
X__X__X_,
X__X__X_,
X__X__X_,
X__XXXX_,
X___XX__,
________,
// 36
__XXXX__,
_XXXXXX_,
XX_X__X_,
X__X__X_,
X__X__X_,
___XXXX_,
____XX__,
________,
// 37
XX______,
XX______,
X___XXX_,
X__XXXX_,
X_XX____,
XXX_____,
XX______,
________,
// 38
_XX_XX__,
XXXXXXX_,
X__X__X_,
X__X__X_,
X__X__X_,
XXXXXXX_,
_XX_XX__,
________,
// 39
_XX_____,
XXXX__X_,
X__X__X_,
X__X__X_,
X__X_XX_,
XXXXXX__,
_XXXX___,
________,
// 3a
________,
________,
________,
_XX__XX_,
_XX__XX_,
________,
________,
________,
// 3b
________,
________,
_______X,
_XX__XXX,
_XX__XX_,
________,
________,
________,
// 3c
________,
________,
___X____,
__XXX___,
_XX_XX__,
XX___XX_,
X_____X_,
________,
// 3d
________,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
__X__X__,
________,
// 3e
________,
X_____X_,
XX___XX_,
_XX_XX__,
__XXX___,
___X____,
________,
________,
// 3f
_X______,
XX______,
X_______,
X__XX_X_,
X_XXX_X_,
XXX_____,
_X______,
________,
// 40
_XXXXX__,
XXXXXXX_,
X_____X_,
X_XXX_X_,
X_XXX_X_,
XXXXX___,
_XXXX___,
________,
// 41
__XXXXX_,
_XXXXXX_,
XX_X____,
X__X____,
XX_X____,
_XXXXXX_,
__XXXXX_,
________,
// 42
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X__X__X_,
XXXXXXX_,
_XX_XX__,
________,
// 43
__XXX___,
_XXXXX__,
XX___XX_,
X_____X_,
X_____X_,
XX___XX_,
_X___X__,
________,
// 44
X_____X_,
XXXXXXX_,
XXXXXXX_,
X_____X_,
XX___XX_,
_XXXXX__,
__XXX___,
________,
// 45
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X_XXX_X_,
X_____X_,
XX___XX_,
________,
// 46
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X_XXX___,
X_______,
XX______,
________,
// 47
__XXX___,
_XXXXX__,
XX___XX_,
X_____X_,
X___X_X_,
XX__XX__,
_X__XXX_,
________,
// 48
XXXXXXX_,
XXXXXXX_,
___X____,
___X____,
___X____,
XXXXXXX_,
XXXXXXX_,
________,
// 49
________,
________,
X_____X_,
XXXXXXX_,
XXXXXXX_,
X_____X_,
________,
________,
// 4a
____XX__,
____XXX_,
______X_,
X_____X_,
XXXXXXX_,
XXXXXX__,
X_______,
________,
// 4b
X_____X_,
XXXXXXX_,
XXXXXXX_,
___X____,
__XXX___,
XXX_XXX_,
XX___XX_,
________,
// 4c
X_____X_,
XXXXXXX_,
XXXXXXX_,
X_____X_,
______X_,
_____XX_,
____XXX_,
________,
// 4d
XXXXXXX_,
XXXXXXX_,
_XXX____,
__XXX___,
_XXX____,
XXXXXXX_,
XXXXXXX_,
________,
// 4e
XXXXXXX_,
XXXXXXX_,
_XX_____,
__XX____,
___XX___,
XXXXXXX_,
XXXXXXX_,
________,
// 4f
_XXXXX__,
XXXXXXX_,
X_____X_,
X_____X_,
X_____X_,
XXXXXXX_,
_XXXXX__,
________,
// 50
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X__X____,
XXXX____,
_XX_____,
________,
// 51
_XXXXX__,
XXXXXXX_,
X_____X_,
X_____X_,
X____XXX,
XXXXXXXX,
_XXXXX_X,
________,
// 52
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X____,
X__XX___,
XXXXXXX_,
_XX__XX_,
________,
// 53
_X___X__,
XXX__XX_,
X_XX__X_,
X__X__X_,
X__XX_X_,
XX__XXX_,
_X___X__,
________,
// 54
________,
XXX_____,
XX____X_,
XXXXXXX_,
XXXXXXX_,
XX____X_,
XXX_____,
________,
// 55
XXXXXX__,
XXXXXXX_,
______X_,
______X_,
______X_,
XXXXXXX_,
XXXXXX__,
________,
// 56
XXXXX___,
XXXXXX__,
_____XX_,
______X_,
_____XX_,
XXXXXX__,
XXXXX___,
________,
// 57
XXXXXX__,
XXXXXXX_,
_____XX_,
___XXX__,
_____XX_,
XXXXXXX_,
XXXXXX__,
________,
// 58
XX___XX_,
XXX_XXX_,
__XXX___,
___X____,
__XXX___,
XXX_XXX_,
XX___XX_,
________,
// 59
________,
XXX_____,
XXXX__X_,
___XXXX_,
___XXXX_,
XXXX__X_,
XXX_____,
________,
// 5a
XXX___X_,
XX___XX_,
X___XXX_,
X__XX_X_,
X_XX__X_,
XXX__XX_,
XX__XXX_,
________,
// 5b
________,
________,
XXXXXXX_,
XXXXXXX_,
X_____X_,
X_____X_,
________,
________,
// 5c
X_______,
XX______,
_XX_____,
__XX____,
___XX___,
____XX__,
_____XX_,
________,
// 5d
________,
________,
X_____X_,
X_____X_,
XXXXXXX_,
XXXXXXX_,
________,
________,
// 5e
___X____,
__XX____,
_XX_____,
XX______,
_XX_____,
__XX____,
___X____,
________,
// 5f
_______X,
_______X,
_______X,
_______X,
_______X,
_______X,
_______X,
_______X,
// 60
________,
________,
X_______,
XX______,
_XX_____,
__X_____,
________,
________,
// 61
_____X__,
__X_XXX_,
__X_X_X_,
__X_X_X_,
__XXXX__,
___XXXX_,
______X_,
________,
// 62
X_____X_,
XXXXXXX_,
XXXXXX__,
__X___X_,
__X___X_,
__XXXXX_,
___XXX__,
________,
// 63
___XXX__,
__XXXXX_,
__X___X_,
__X___X_,
__X___X_,
__XX_XX_,
___X_X__,
________,
// 64
___XXX__,
__XXXXX_,
__X___X_,
X_X___X_,
XXXXXX__,
XXXXXXX_,
______X_,
________,
// 65
___XXX__,
__XXXXX_,
__X_X_X_,
__X_X_X_,
__X_X_X_,
__XXX_X_,
___XX___,
________,
// 66
___X__X_,
_XXXXXX_,
XXXXXXX_,
X__X__X_,
X__X____,
XX______,
_X______,
________,
// 67
___XX__X,
__XXXX_X,
__X__X_X,
__X__X_X,
___XXXXX,
__XXXXX_,
__X_____,
________,
// 68
X_____X_,
XXXXXXX_,
XXXXXXX_,
___X____,
__X_____,
__XXXXX_,
___XXXX_,
________,
// 69
________,
________,
__X___X_,
X_XXXXX_,
X_XXXXX_,
______X_,
________,
________,
// 6a
________,
_____XX_,
_____XXX,
_______X,
_______X,
X_XXXXXX,
X_XXXXX_,
________,
// 6b
X_____X_,
XXXXXXX_,
XXXXXXX_,
____X___,
___XXX__,
__XX_XX_,
__X___X_,
________,
// 6c
________,
________,
X_____X_,
XXXXXXX_,
XXXXXXX_,
______X_,
________,
________,
// 6d
__XXXXX_,
__XXXXX_,
__XX____,
___XXXX_,
__XX____,
__XXXXX_,
___XXXX_,
________,
// 6e
__X_____,
__XXXXX_,
___XXXX_,
__X_____,
__X_____,
__XXXXX_,
___XXXX_,
________,
// 6f
___XXX__,
__XXXXX_,
__X___X_,
__X___X_,
__X___X_,
__XXXXX_,
___XXX__,
________,
// 70
__X____X,
__XXXXXX,
___XXXXX,
__X__X_X,
__X__X__,
__XXXX__,
___XX___,
________,
// 71
___XX___,
__XXXX__,
__X__X__,
__X__X_X,
___XXXXX,
__XXXXXX,
__X____X,
________,
// 72
__X___X_,
__XXXXX_,
___XXXX_,
__XX__X_,
__X_____,
__XX____,
___X____,
________,
// 73
___X__X_,
__XXX_X_,
__X_X_X_,
__X_X_X_,
__X_X_X_,
__X_XXX_,
__X__X__,
________,
// 74
__X_____,
__X_____,
XXXXXX__,
XXXXXXX_,
__X___X_,
__X__XX_,
_____X__,
________,
// 75
__XXXX__,
__XXXXX_,
______X_,
______X_,
__XXXX__,
__XXXXX_,
______X_,
________,
// 76
__XXX___,
__XXXX__,
_____XX_,
______X_,
_____XX_,
__XXXX__,
__XXX___,
________,
// 77
__XXXX__,
__XXXXX_,
_____XX_,
___XXX__,
_____XX_,
__XXXXX_,
__XXXX__,
________,
// 78
__X___X_,
__XX_XX_,
___XXX__,
____X___,
___XXX__,
__XX_XX_,
__X___X_,
________,
// 79
__XXX__X,
__XXXX_X,
_____X_X,
_____X_X,
_____X_X,
__XXXXXX,
__XXXXX_,
________,
// 7a
________,
__XX__X_,
__X__XX_,
__X_XXX_,
__XXX_X_,
__XX__X_,
__X__XX_,
________,
// 7b
________,
___X____,
___X____,
_XXXXX__,
XXX_XXX_,
X_____X_,
X_____X_,
________,
// 7c
________,
________,
________,
XXXXXXX_,
XXXXXXX_,
________,
________,
________,
// 7d
________,
X_____X_,
X_____X_,
XXX_XXX_,
_XXXXX__,
___X____,
___X____,
________,
// 7e
_X______,
XX______,
X_______,
XX______,
_X______,
XX______,
X_______,
________,
// 7f
____XXX_,
___XXXX_,
__XX_XX_,
_XX__XX_,
__XX_XX_,
___XXXX_,
____XXX_,
________,
// 80
________,
________,
________,
__XXX___,
__XXX___,
________,
________,
________,
// 81
________,
________,
_XX_____,
XXXXX_X_,
XXXXX_X_,
_XX_____,
________,
________,
// 82
________,
________,
_XX__X_X,
XXXXX_X_,
XXXXX_X_,
_XX__X_X,
________,
________,
// 83
________,
________,
________,
XXXXXXXX,
XXXXXXXX,
___X____,
___X____,
___X____,
// 84
___X____,
___X____,
___X____,
___X____,
___X____,
___X____,
___X____,
___X____,
// 85
___X____,
___X____,
___X____,
XXXXXXXX,
XXXXXXXX,
___X____,
___X____,
___X____,
// 86
________,
________,
________,
XXXXXXXX,
XXXXXXXX,
_X_X____,
_X_X____,
_X_X____,
// 87
________,
________,
XXXXXXXX,
XXXXXXXX,
________,
XXXXXXXX,
XXXXXXXX,
___X____,
// 88
________,
________,
XXXX____,
XXXX____,
___X____,
XX_X____,
XX_X____,
_X_X____,
// 89
________,
________,
_XXXXXXX,
_XXXXXXX,
_X______,
_X_XXXXX,
_X_XXXXX,
_X_X____,
// 8a
_X_X____,
_X_X____,
XX_X____,
XX_X____,
___X____,
XX_X____,
XX_X____,
_X_X____,
// 8b
_X_X____,
_X_X____,
_X_XXXXX,
_X_XXXXX,
_X______,
_X_XXXXX,
_X_XXXXX,
_X_X____,
// 8c
________,
________,
XXXXXXXX,
XXXXXXXX,
________,
XX_XXXXX,
XX_XXXXX,
_X_X____,
// 8d
_X_X____,
_X_X____,
_X_X____,
_X_X____,
_X_X____,
_X_X____,
_X_X____,
_X_X____,
// 8e
_X_X____,
_X_X____,
XX_XXXXX,
XX_XXXXX,
________,
XX_XXXXX,
XX_XXXXX,
_X_X____,
// 8f
_X_X____,
_X_X____,
_X_X____,
XX_X____,
XX_X____,
_X_X____,
_X_X____,
_X_X____,
// 90
___X____,
___X____,
XXXX____,
XXXX____,
___X____,
XXXX____,
XXXX____,
___X____,
// 91
_X_X____,
_X_X____,
_X_X____,
_X_XXXXX,
_X_XXXXX,
_X_X____,
_X_X____,
_X_X____,
// 92
___X____,
___X____,
___XXXXX,
___XXXXX,
___X____,
___XXXXX,
___XXXXX,
___X____,
// 93
________,
________,
XXXX____,
XXXX____,
___X____,
XXXX____,
XXXX____,
___X____,
// 94
________,
________,
________,
XXXX____,
XXXX____,
_X_X____,
_X_X____,
_X_X____,
// 95
________,
________,
________,
_XXXXXXX,
_XXXXXXX,
_X_X____,
_X_X____,
_X_X____,
// 96
________,
________,
___XXXXX,
___XXXXX,
___X____,
___XXXXX,
___XXXXX,
___X____,
// 97
___X____,
___X____,
XXXXXXXX,
XXXXXXXX,
___X____,
XXXXXXXX,
XXXXXXXX,
___X____,
// 98
_X_X____,
_X_X____,
_X_X____,
XXXXXXXX,
XXXXXXXX,
_X_X____,
_X_X____,
_X_X____,
// 99
___X____,
___X____,
___X____,
XXXX____,
XXXX____,
________,
________,
________,
// 9a
________,
________,
________,
___XXXXX,
___XXXXX,
___X____,
___X____,
___X____,
// 9b
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
// 9c
___XXXXX,
___XXXXX,
___XXXXX,
___XXXXX,
___XXXXX,
___XXXXX,
___XXXXX,
___XXXXX,
// 9d
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
________,
________,
________,
________,
// 9e
________,
________,
________,
________,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
XXXXXXXX,
// 9f
XXX_____,
XXX_____,
XXX_____,
XXX_____,
XXX_____,
XXX_____,
XXX_____,
XXX_____,
// a0
________,
_____XX_,
XX___XX_,
XX_X_XX_,
XXX_XXX_,
XX___XX_,
________,
________,
// a1
____XXX_,
___XXXX_,
__XX_XX_,
_XX__XX_,
__XX_XX_,
___XXXX_,
____XXX_,
________,
// a2
__XXX___,
_XXXXX__,
XX_X_XX_,
X__X__X_,
X__X__X_,
XX___XX_,
_X___X__,
________,
// a3
________,
___XXX__,
__XXXXX_,
__X_X_X_,
__X_X_X_,
__X___X_,
__XX_XX_,
___X_X__,
// a4
________,
XX____X_,
_XXXXXX_,
_XXXXXX_,
XX____X_,
________,
________,
________,
// a5
X_______,
X_____X_,
__XXXXX_,
__XXXXX_,
X_____X_,
X_______,
________,
________,
// a6
_XX__X__,
_XXX_XX_,
X__X__X_,
X__X__X_,
X__X__X_,
_XXXXXX_,
_XXXXX__,
________,
// a7
__XXX___,
X_XXXX_X,
XX___X_X,
_X___X_X,
XX___X_X,
X_XXXXXX,
__XXXXX_,
________,
// a8
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X_XXX_X_,
X_____X_,
XX___XX_,
________,
// a9
________,
X_______,
X_______,
___XX___,
X__XX___,
X_______,
________,
________,
// aa
________,
________,
________,
____X___,
____X___,
________,
________,
________,
// ab
________,
____X___,
____XX__,
_____XX_,
XXXXXXX_,
XXXXXXX_,
X_______,
________,
// ac
XXXXXXX_,
_XXXXXX_,
__XX____,
___XX___,
XXXXXXX_,
XXXXXXX_,
X_X_____,
XXX_____,
// ad
_X_XX_X_,
_XXXXXX_,
__X__X__,
__X__X__,
__X__X__,
_XXXXXX_,
_X_XX_X_,
________,
// ae
________,
________,
__XXXX__,
__XXXX__,
__XXXX__,
__XXXX__,
________,
________,
// af
________,
________,
________,
___XX___,
___XX___,
________,
________,
________,
// b0
________,
_X_X_X_X,
________,
X_X_X_X_,
________,
_X_X_X_X,
________,
X_X_X_X_,
// b1
_X_X_X_X,
X_X_X_X_,
_X_X_X_X,
X_X_X_X_,
_X_X_X_X,
X_X_X_X_,
_X_X_X_X,
X_X_X_X_,
// b2
X_X_X_X_,
XXXXXXXX,
_X_X_X_X,
XXXXXXXX,
X_X_X_X_,
XXXXXXXX,
_X_X_X_X,
XXXXXXXX,
// b3
________,
________,
________,
XXXXXXXX,
XXXXXXXX,
________,
________,
________,
// b4
________,
X__XX___,
X___X___,
_XX_X___,
________,
________,
________,
________,
// b5
________,
X___X___,
X_X_X___,
XX_XX___,
________,
________,
________,
________,
// b6
________,
________,
_XX_____,
X__X____,
X__X____,
_XX_____,
________,
________,
// b7
___X____,
___X____,
___XXXXX,
___XXXXX,
___X____,
___XXXXX,
___XXXXX,
________,
// b8
___XXX__,
X_XXXXX_,
X_X_X_X_,
__X_X_X_,
X_X_X_X_,
X_XXX_X_,
___XX___,
________,
// b9
XXXXXXX_,
_XX_____,
___XX___,
XXXXXXX_,
_X_X____,
X_XX____,
_X_X____,
________,
// ba
________,
________,
XXXXXXXX,
XXXXXXXX,
________,
XXXXXXXX,
XXXXXXXX,
________,
// bb
_X_X____,
_X_X____,
_X_XXXXX,
_X_XXXXX,
_X______,
_XXXXXXX,
_XXXXXXX,
________,
// bc
_X_X____,
_X_X____,
XX_X____,
XX_X____,
___X____,
XXXX____,
XXXX____,
________,
// bd
___X____,
___X____,
XXXX____,
XXXX____,
___X____,
XXXX____,
XXXX____,
________,
// be
_X_X____,
_X_X____,
_X_X____,
XXXX____,
XXXX____,
________,
________,
________,
// bf
___X____,
___X____,
___X____,
___XXXXX,
___XXXXX,
________,
________,
________,
// c0
__XXXXX_,
_XXXXXX_,
XX__X___,
X___X___,
X___X___,
XXXXXXX_,
XXXXXXX_,
________,
// c1
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X__X__X_,
XX_XXXX_,
XX__XX__,
________,
// c2
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X__X__X_,
XXXXXXX_,
_XX_XX__,
________,
// c3
X_____X_,
XXXXXXX_,
XXXXXXX_,
X_____X_,
X_______,
XX______,
XX______,
________,
// c4
______XX,
__XXXXXX,
_XXXXXX_,
XX____X_,
X_____X_,
XXXXXXX_,
XXXXXXXX,
______XX,
// c5
X_____X_,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
X_XXX_X_,
X_____X_,
XX___XX_,
________,
// c6
XX___XX_,
XXX_XXX_,
__XXX___,
XXXXXXX_,
__XXX___,
XXX_XXX_,
XX___XX_,
________,
// c7
_X___X__,
XX___XX_,
X__X__X_,
X__X__X_,
X__X__X_,
XXXXXXX_,
_XX_XX__,
________,
// c8
XXXXXXX_,
XXXXXXX_,
____XX__,
___XX___,
__XX____,
XXXXXXX_,
XXXXXXX_,
________,
// c9
_XXXXXX_,
_XXXXXX_,
X___XX__,
X__XX___,
X_XX____,
_XXXXXX_,
_XXXXXX_,
________,
// ca
X_____X_,
XXXXXXX_,
XXXXXXX_,
___X____,
__XXX___,
XXX_XXX_,
XX___XX_,
________,
// cb
______X_,
__XXXXX_,
_XXXXX__,
XX______,
X_______,
XXXXXXX_,
XXXXXXX_,
________,
// cc
XXXXXXX_,
XXXXXXX_,
_XXX____,
__XXX___,
_XXX____,
XXXXXXX_,
XXXXXXX_,
________,
// cd
XXXXXXX_,
XXXXXXX_,
___X____,
___X____,
___X____,
XXXXXXX_,
XXXXXXX_,
________,
// ce
_XXXXX__,
XXXXXXX_,
X_____X_,
X_____X_,
X_____X_,
XXXXXXX_,
_XXXXX__,
________,
// cf
XXXXXXX_,
XXXXXXX_,
X_______,
X_______,
X_______,
XXXXXXX_,
XXXXXXX_,
________,
// d0
X_____X_,
XXXXXXX_,
XXXXXXX_,
X___X_X_,
X___X___,
XXXXX___,
_XXX____,
________,
// d1
_XXXXX__,
XXXXXXX_,
X_____X_,
X_____X_,
X_____X_,
XX___XX_,
_X___X__,
________,
// d2
________,
XX______,
X_____X_,
XXXXXXX_,
XXXXXXX_,
X_____X_,
XX______,
________,
// d3
XXX__X__,
XXXX_XX_,
___X__X_,
___X__X_,
___X__X_,
XXXXXXX_,
XXXXXX__,
________,
// d4
_XXX____,
XXXXX___,
X___X_X_,
XXXXXXX_,
X___X_X_,
XXXXX___,
_XXX____,
________,
// d5
XX___XX_,
XXX_XXX_,
__XXX___,
___X____,
__XXX___,
XXX_XXX_,
XX___XX_,
________,
// d6
XXXXXXX_,
XXXXXXX_,
______X_,
______X_,
XXXXXXX_,
XXXXXXXX,
______XX,
________,
// d7
XXX_____,
XXXX____,
___X____,
___X____,
___X____,
XXXXXXX_,
XXXXXXX_,
________,
// d8
XXXXXXX_,
XXXXXXX_,
______X_,
XXXXXXX_,
______X_,
XXXXXXX_,
XXXXXXX_,
________,
// d9
XXXXXXX_,
XXXXXXX_,
______X_,
XXXXXXX_,
______X_,
XXXXXXX_,
XXXXXXXX,
______XX,
// da
XXX_____,
XX______,
XXXXXXX_,
XXXXXXX_,
___X__X_,
___XXXX_,
____XX__,
________,
// db
XXXXXXX_,
XXXXXXX_,
___X__X_,
___XXXX_,
____XX__,
XXXXXXX_,
XXXXXXX_,
________,
// dc
X_______,
XXXXXXX_,
XXXXXXX_,
X__X__X_,
___X__X_,
___XXXX_,
____XX__,
________,
// dd
_X___X__,
X_____X_,
X__X__X_,
X__X__X_,
XX_X_XX_,
_XXXXX__,
__XXX___,
________,
// de
XXXXXXX_,
XXXXXXX_,
___X____,
XXXXXXX_,
X_____X_,
XXXXXXX_,
_XXXXX__,
________,
// df
_XXX__X_,
XXXXXXX_,
X___XX__,
X___X___,
X___X___,
XXXXXXX_,
XXXXXXX_,
________,
// e0
_____X__,
__X_XXX_,
__X_X_X_,
__X_X_X_,
__XXXX__,
___XXXX_,
______X_,
________,
// e1
__X_XX__,
_XXXXXX_,
_X_X__X_,
_X_X__X_,
_X_X__X_,
XX_XXXX_,
X___XX__,
________,
// e2
__X___X_,
__XXXXX_,
__XXXXX_,
__X_X_X_,
__X_X_X_,
__XXXXX_,
___X_X__,
________,
// e3
__X___X_,
__XXXXX_,
__XXXXX_,
__X___X_,
__X_____,
__XX____,
__XX____,
________,
// e4
______XX,
___XXXXX,
__XXXXX_,
__X___X_,
__XXXXX_,
__XXXXXX,
______XX,
________,
// e5
___XXX__,
__XXXXX_,
__X_X_X_,
__X_X_X_,
__X_X_X_,
__XXX_X_,
___XX___,
________,
// e6
__X___X_,
__XX_XX_,
___XXX__,
__XXXXX_,
___XXX__,
__XX_XX_,
__X___X_,
________,
// e7
___X_X__,
__XX_XX_,
__X___X_,
__X_X_X_,
__X_X_X_,
__XXXXX_,
___X_X__,
________,
// e8
__XXXXX_,
__XXXXX_,
_____XX_,
____XX__,
___XX___,
__XXXXX_,
__XXXXX_,
________,
// e9
__XXXXX_,
__XXXXX_,
_X___XX_,
_X__XX__,
_X_XX___,
__XXXXX_,
__XXXXX_,
________,
// ea
__X___X_,
__XXXXX_,
__XXXXX_,
____X___,
___XXX__,
__XX_XX_,
__X___X_,
________,
// eb
______X_,
___XXXX_,
__XXXXX_,
__X_____,
__X_____,
__XXXXX_,
__XXXXX_,
________,
// ec
__XXXXX_,
__XXXXX_,
___XX___,
___XXX__,
___XX___,
__XXXXX_,
__XXXXX_,
________,
// ed
__XXXXX_,
__XXXXX_,
____X___,
____X___,
____X___,
__XXXXX_,
__XXXXX_,
________,
// ee
___XXX__,
__XXXXX_,
__X___X_,
__X___X_,
__X___X_,
__XXXXX_,
___XXX__,
________,
// ef
__XXXXX_,
__XXXXX_,
__X_____,
__X_____,
__X_____,
__XXXXX_,
__XXXXX_,
________,
// f0
__X____X,
__XXXXXX,
__XXXXXX,
__X__X_X,
__X__X__,
__XXXX__,
___XX___,
________,
// f1
___XXX__,
__XXXXX_,
__X___X_,
__X___X_,
__X___X_,
__XX_XX_,
___X_X__,
________,
// f2
__XX____,
__X___X_,
__XXXXX_,
__XXXXX_,
__X___X_,
__XX____,
________,
________,
// f3
__XXX___,
__XXXX_X,
_____X_X,
_____X_X,
_____X_X,
__XXXXXX,
__XXXXX_,
________,
// f4
___XX___,
__XXXX__,
__X__X_X,
__XXXXXX,
__X__X_X,
__XXXX__,
___XX___,
________,
// f5
__X___X_,
__XX_XX_,
___XXX__,
____X___,
___XXX__,
__XX_XX_,
__X___X_,
________,
// f6
__XXXXX_,
__XXXXX_,
______X_,
______X_,
__XXXXX_,
__XXXXXX,
______XX,
________,
// f7
__XX____,
__XXX___,
____X___,
____X___,
____X___,
__XXXXX_,
__XXXXX_,
________,
// f8
__XXXXX_,
__XXXXX_,
______X_,
__XXXXX_,
______X_,
__XXXXX_,
__XXXXX_,
________,
// f9
__XXXXX_,
__XXXXX_,
______X_,
__XXXXX_,
______X_,
__XXXXX_,
__XXXXXX,
______XX,
// fa
__XX____,
__X_____,
__XXXXX_,
__XXXXX_,
____X_X_,
____XXX_,
_____X__,
________,
// fb
__XXXXX_,
__XXXXX_,
____X_X_,
____XXX_,
_____X__,
__XXXXX_,
__XXXXX_,
________,
// fc
__X___X_,
__XXXXX_,
__XXXXX_,
__X_X_X_,
____X_X_,
____XXX_,
_____X__,
________,
// fd
___X_X__,
__XX_XX_,
__X___X_,
__X_X_X_,
__X_X_X_,
__XXXXX_,
___XXX__,
________,
// fe
__XXXXX_,
__XXXXX_,
____X___,
__XXXXX_,
__X___X_,
__XXXXX_,
___XXX__,
________,
// ff
___X__X_,
__XXXXX_,
__X_XX__,
__X_X___,
__X_X___,
__XXXXX_,
__XXXXX_,
________,

};
